Analyze web presence
Use a Middesk website order to receive a detailed analysis of a business’s web presence and evaluate a business’s web presence quality.
How to order Web Analysis
Before you begin:
- Ensure that you can authenticate against the Middesk API and create businesses.
- Review the Middesk Postman collection for request examples.
Create a Business and order Web Analysis
Web Analysis is a subproduct of the Website order. To create a Business with a website order, submit a Create Business request:
Middesk determines which subproducts to order based on what’s included in your API request.
- If you don’t submit a
website_url, the business name and address are required so Middesk can discover the business’s website to perform further analysis. - If you submit a
website_url, the business name and address are optional for website orders.
business_verification_verify), the name and address may still be required by those other orders.Review the analysis results
Once your order completes, see the results in the GET /business payload or the business.updated webhook, depending on your integration.
For a high-level summary of the outcome, review these review tasks:
| Summary | Key |
|---|---|
| Is the website purchased but has no content? | website_parked |
| Is the website online? | website_status |
| Is the website URL submitted or discovered? | website_url_discovered |
| Does the website contain a match to the submitted office address? | web_address_verification |
| Does the website contain a match to the submitted business name? | web_business_name_verification |
| Does the website contain a match to the submitted person? | web_person_verification |
| Does the website contain a match to the submitted phone number? | web_phone_number_verification |
| Does the website contain a match to the submitted email address? | web_email_address_verification |
| What is the web presence quality rating? | web_presence_quality |
| Does the submitted website URL belong to the business? | website_url_domain_ownership |
| Does the web presence include any risky keyword hits? | risky_keywords |
To see the results in more detail, look at the Website object in the payload as well as the specific Web Analysis review tasks.
Middesk also returns any third-party profiles associated with the business as Profile objects under the top-level profiles key.
This includes platforms such as Google, Facebook, LinkedIn, and others.
Check the business’s review tasks by requesting the full business payload using the GET /businesses endpoint.
For example, use the Website Status review task to evaluate whether the website is online.
Inspect individual quality indicators
Use web_presence_quality to determine an overall quality rating of High, Moderate, Low, or Not Available for the business’s web presence.
You can also inspect each quality indicator individually and derive an outcome based on your own heuristics.
For example, a newly formed business may have a recently registered domain and limited content diversity. In that case, you may want to ignore those ratings when determining your outcome.
The following table lists the quality indicators and their keys within the website object.
Each indicator includes a rating field that returns a positive, neutral, or negative value.
If an indicator cannot be determined, it is absent from the payload.
| Quality Indicator | Description | Key |
|---|---|---|
| Broken links | An evaluation of links found on the website leading to errors or nonexistent pages | broken_links |
| Compliance info | An evaluation of compliance-related information, such as terms of service and privacy policy, that can be found on the business’s website | compliance_info |
| Contact info | An evaluation of contact information found within the content. Use the other review tasks associated with the website order to determine matches with submitted contact information. | contact_info |
| Content diversity | An evaluation of the variation and type of information the website presents | content_diversity |
| Domain age | An evaluation of how long the domain has been registered | domain_age |
| Domain consistency | An evaluation of whether the domain matches the business name and branding | domain_consistency |
| Domain ownership | An evaluation of how likely it is the domain belongs to the business | domain_ownership |
| Filler text | An evaluation of content for any placeholder or filler text, like Lorem Ipsum | filler_text |
| Https | An evaluation of HTTPS/TLS support | https |
| Image quality | An evaluation of images to identify blurry or stock images | image_quality |
| Last updated | An evaluation of how long ago the website was last modified | last_updated |
| Page count | An evaluation of the total number of internal pages found on the website | page_count |
| Spelling and grammar | An evaluation of spelling and grammatical mistakes and inconsistencies | spelling_and_grammar |
| Testimonials | An evaluation of customer testimonials or reviews found on the website | testimonials |
| Third party profile links | An evaluation of links to third-party profiles (social media, review sites, and so on) found on the website | third_party_profile_links |
| Top Level Domain | An evaluation of the TLD with respect to the website’s quality | top_level_domain |
| Update frequency | An evaluation of how often the website’s content is updated | update_frequency |
| US Business Presence | An evaluation of website signals that suggest the business operates within the United States | us_business_presence |
Retrieve these additional website details with the GET /businesses/{id}/website endpoint.
The following example iterates through and prints the quality indicator ratings:
Access more details
The API also exposes a source object for each indicator to illustrate how the indicator quality rating was derived.
This includes a human-readable explanation and, when relevant, examples from the retrieved dataset for the indicator.
For example, the image_quality indicator returns a list of source URLs for any stock images detected, the spelling_and_grammar indicator lists citations for any found mistakes or inconsistencies, and the broken_links indicator returns a list of URLs found on the website that do not resolve.
To access this expanded view, add the query parameter include with the value indicator_details to the business website endpoint.
For example: https://api.middesk.com/businesses/{id}/website?include=indicator_details
Here is an example of the expanded quality rating indicator with the source key: